apiVersion: apps/v1
kind: Deployment
metadata:
  name: myapp
spec:
  selector:
    matchLabels:
      app: myapp
  replicas: 1
  template:
    metadata:
      labels:
        app: myapp
    spec:
      containers:
      - name: myapp
        image: 482720962971.dkr.ecr.ca-central-1.amazonaws.com/docker-repo
        ports:
        - containerPort: 8080
        env:
          - name: db_username
            valueFrom: 
              secretKeyRef:
                name: dbcred
                key: db_username
          - name: db_host
            valueFrom: 
              secretKeyRef:
                name: dbcred
                key: db_host
          - name: db_password
            valueFrom: 
              secretKeyRef:
                name: dbcred
                key: db_password
